dialog {
    border: 6px solid #B4E639;
    height: fit-content;
    padding: 4rem 6rem;
    overflow: hidden;
}

dialog h2 {
    font-size: 2.5rem;
    padding: 1rem 0;
}

dialog::backdrop {
    background: rgb(0 0 0 / 59%);
  }

.form-wrapper:after {
        display: inline-block;
        content: "\00d7"; 
        position: absolute;
        top: -2rem;
        right: 2rem;
        font-size: 5rem;
        cursor: pointer;
        color: #000;
        transition: all 0.5s ease-in;
}

.form-wrapper:hover:after {
    color: black;
}


  form p {
    margin: 1rem 0;
  }

  button {
    border: none;
    background: none;

  }

form input[type="submit"] {
    text-transform: uppercase;
    font-size: 15px;
    border: none;
    font-weight: bolder;
    background: #B4E639;
    width: fit-content;
    float: right;
    padding: 10px 35px;
    margin-top: 1rem;
    cursor: pointer;
    background-image: linear-gradient(135deg, #292929 50%, transparent 51%);
    background-size: 100px 100px;
    background-position: -50px -50px;
    background-repeat: no-repeat;
    transition: all ease 0.8s;
}

form input[type="submit"]:hover {
    background-size: 200% 200%;
    background-position: 0px 0px;
    color: #B4E639;
}


.wpcf7 form .wpcf7-response-output {
    max-width: 30ch;
    margin-top: 5em !important;
}

@media screen and (max-width: 1024px) {
    dialog {
      padding: 1rem;
    }
    dialog h2 {
      font-size: 1.5rem;
    }
    .form-wrapper:after {
      right: 1rem;
      font-size: 4rem;
    }
    form input[type="submit"] {
      padding: 10px 20px;
    }
    form p {
      margin: 0.2rem 0;
  }
}
  

@media screen and (max-width: 1024px) {
  dialog {
    max-width: -webkit-fill-available;
}
}
